> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nekt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Validation Logs

> Fetch logs produced during a connector validation. Supports incremental fetching via the `start`/`end` query parameters.



## OpenAPI

````yaml GET /api/v1/connector-validations/{id}/logs/
openapi: 3.0.3
info:
  title: Nekt API
  version: v1
  description: Nekt API Documentation
  contact:
    email: support@nekt.ai
servers:
  - url: https://api.nekt.ai
security: []
paths:
  /api/v1/connector-validations/{id}/logs/:
    get:
      tags:
        - v1
      summary: Get connector validation logs
      description: >-
        Fetch logs produced during a connector validation. Supports incremental
        fetching via the `start`/`end` query parameters.
      operationId: v1_connector_validations_logs_retrieve
      parameters:
        - in: query
          name: end
          schema:
            type: integer
        - in: path
          name: id
          schema:
            type: string
          required: true
        - in: query
          name: limit
          schema:
            type: integer
        - in: query
          name: start
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorValidationLogs'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ConnectorValidationLogs:
      type: object
      properties:
        logs:
          type: array
          items:
            $ref: '#/components/schemas/NestedLog'
        start:
          type: integer
        end:
          type: integer
        limit:
          type: integer
        connector_validation:
          type: string
          readOnly: true
          description: Connector validation for this logs (Expandable)
      required:
        - connector_validation
        - end
        - limit
        - logs
        - start
    NestedLog:
      type: object
      properties:
        level:
          type: string
        message:
          type: string
        exception:
          type: string
        pipeline:
          type: string
        pipeline_run:
          type: string
        organization:
          type: string
        datetime:
          type: string
        timestamp:
          type: string
        stage:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Format: ''x-api-key: api_key'''

````